RE: Linux OpenJDK-11 and SQL*Developer

  • From: Jeff Smith <jeff.d.smith@xxxxxxxxxx>
  • To: gogala.mladen@xxxxxxxxx, oracle-l <oracle-l@xxxxxxxxxxxxx>
  • Date: Thu, 6 Dec 2018 10:01:28 -0800 (PST)

We have to make changes to our framework to allow for java 10 or 11, oracle or 
OpenJDK

 

Use Oracle Java JDK 8 today if you want to use SQL Developer 

 

From: Mladen Gogala <gogala.mladen@xxxxxxxxx> 
Sent: Thursday, December 6, 2018 4:16 AM
To: oracle-l <oracle-l@xxxxxxxxxxxxx>
Subject: Linux OpenJDK-11 and SQL*Developer

 

Hi!

I tried running SQL*Developer with Java 11 OpenJDK. To make things abundantly 
clear, that is not Oracle implementation. SQL*Develper kept returning to the 
prompt and refused to work with Java 11. I have 2 questions:

Are there any plans to certify SQL*Developer on OpenJDK-11
Does SQL*Developer work with Oracle JDK-11

Here is the list of available JDK's:

mgogala@umajor:/usr/lib/jvm$ ls
java-1.11.0-openjdk-amd64  java-1.8.0-openjdk-amd64
java-11-openjdk-amd64       java-8-openjdk-amd64
mgogala@umajor:/usr/lib/jvm$ 

None of these works. I am forced to use Oracle JDK implementation, which 
resides in /usr/java/jdk_latest.

-- 
Mladen Gogala
Database Consultant
Tel: (347) 321-1217

Other related posts: